Update Appointment Capacity Group
curl --request PUT \
--url https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup} \
--header 'Content-Type: application/json' \
--data '
{
"handle": "<string>",
"name": "<string>",
"description": "<string>",
"max_concurrent_bookings": 2,
"buffer_before_minutes": 1,
"buffer_after_minutes": 1,
"meta": [
"<string>"
]
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup}"
payload = {
"handle": "<string>",
"name": "<string>",
"description": "<string>",
"max_concurrent_bookings": 2,
"buffer_before_minutes": 1,
"buffer_after_minutes": 1,
"meta": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
handle: '<string>',
name: '<string>',
description: '<string>',
max_concurrent_bookings: 2,
buffer_before_minutes: 1,
buffer_after_minutes: 1,
meta: ['<string>']
})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'handle' => '<string>',
'name' => '<string>',
'description' => '<string>',
'max_concurrent_bookings' => 2,
'buffer_before_minutes' => 1,
'buffer_after_minutes' => 1,
'meta' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup}"
payload := strings.NewReader("{\n \"handle\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"max_concurrent_bookings\": 2,\n \"buffer_before_minutes\": 1,\n \"buffer_after_minutes\": 1,\n \"meta\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup}")
.header("Content-Type", "application/json")
.body("{\n \"handle\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"max_concurrent_bookings\": 2,\n \"buffer_before_minutes\": 1,\n \"buffer_after_minutes\": 1,\n \"meta\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"handle\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"max_concurrent_bookings\": 2,\n \"buffer_before_minutes\": 1,\n \"buffer_after_minutes\": 1,\n \"meta\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"handle": "<string>",
"name": "<string>",
"description": "<string>",
"max_concurrent_bookings": 123,
"buffer_before_minutes": 123,
"buffer_after_minutes": 123,
"meta": [
"<unknown>"
],
"created_at": "<string>",
"updated_at": "<string>",
"appointment_definitions_count": 123,
"appointment_definitions": [
{
"id": "<string>",
"handle": "<string>",
"name": "<string>"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Appointment Capacity Group
Update Appointment Capacity Group
A PUT to the /appointment-capacity-groups/{appointmentCapacityGroupId} endpoint allows your application to update a specific appointment capacity group.
PUT
/
v3
/
appointment-capacity-groups
/
{appointmentCapacityGroup}
Update Appointment Capacity Group
curl --request PUT \
--url https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup} \
--header 'Content-Type: application/json' \
--data '
{
"handle": "<string>",
"name": "<string>",
"description": "<string>",
"max_concurrent_bookings": 2,
"buffer_before_minutes": 1,
"buffer_after_minutes": 1,
"meta": [
"<string>"
]
}
'import requests
url = "https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup}"
payload = {
"handle": "<string>",
"name": "<string>",
"description": "<string>",
"max_concurrent_bookings": 2,
"buffer_before_minutes": 1,
"buffer_after_minutes": 1,
"meta": ["<string>"]
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
handle: '<string>',
name: '<string>',
description: '<string>',
max_concurrent_bookings: 2,
buffer_before_minutes: 1,
buffer_after_minutes: 1,
meta: ['<string>']
})
};
fetch('https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'handle' => '<string>',
'name' => '<string>',
'description' => '<string>',
'max_concurrent_bookings' => 2,
'buffer_before_minutes' => 1,
'buffer_after_minutes' => 1,
'meta' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup}"
payload := strings.NewReader("{\n \"handle\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"max_concurrent_bookings\": 2,\n \"buffer_before_minutes\": 1,\n \"buffer_after_minutes\": 1,\n \"meta\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup}")
.header("Content-Type", "application/json")
.body("{\n \"handle\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"max_concurrent_bookings\": 2,\n \"buffer_before_minutes\": 1,\n \"buffer_after_minutes\": 1,\n \"meta\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.{tenant}.getomneo.com/api/v3/appointment-capacity-groups/{appointmentCapacityGroup}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"handle\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"max_concurrent_bookings\": 2,\n \"buffer_before_minutes\": 1,\n \"buffer_after_minutes\": 1,\n \"meta\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"id": 123,
"handle": "<string>",
"name": "<string>",
"description": "<string>",
"max_concurrent_bookings": 123,
"buffer_before_minutes": 123,
"buffer_after_minutes": 123,
"meta": [
"<unknown>"
],
"created_at": "<string>",
"updated_at": "<string>",
"appointment_definitions_count": 123,
"appointment_definitions": [
{
"id": "<string>",
"handle": "<string>",
"name": "<string>"
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Path Parameters
The appointment capacity group ID
Body
application/json
Response
AppointmentCapacityGroup
Show child attributes
Show child attributes